### Class

# Atk RelationSet

#### Description [src]

    class Atk.RelationSet : GObject.Object
    {
      gpointer relations[]
    }

A set of AtkRelations, normally the set of AtkRelations which an AtkObject has.

The AtkRelationSet held by an object establishes its relationships with objects beyond the normal “parent/child” hierarchical relationships that all user interface objects have. AtkRelationSets establish whether objects are labelled or controlled by other components, share group membership with other components (for instance within a radio-button group), or share content which “flows” between them, among other types of possible relationships.

#### Ancestors

- GObject

#### Constructors

###### atk_relation_set_new

Creates a new empty relation set.

#### Instance methods

###### atk_relation_set_add

Add a new relation to the current relation set if it is not already present. This function ref’s the AtkRelation so the caller of this function should unref it to ensure that it will be destroyed when the AtkRelationSet is destroyed.

###### atk_relation_set_add_relation_by_type

Add a new relation of the specified type with the specified target to the current relation set if the relation set does not contain a relation of that type. If it is does contain a relation of that typea the target is added to the relation.

since: 1.9

###### atk_relation_set_contains

Determines whether the relation set contains a relation that matches the specified type.

###### atk_relation_set_contains_target

Determines whether the relation set contains a relation that matches the specified pair formed by type `relationship` and object `target`.

###### atk_relation_set_get_n_relations

Determines the number of relations in a relation set.

###### atk_relation_set_get_relation

Determines the relation at the specified position in the relation set.

###### atk_relation_set_get_relation_by_type

Finds a relation that matches the specified type.

###### atk_relation_set_remove

Removes a relation from the relation set. This function unref’s the `AtkRelation` so it will be deleted unless there is another reference to it.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkRelationSetClass {
      GObjectClass parent;
      AtkFunction pad1;
      AtkFunction pad2;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.

`pad1: AtkFunction`

  No description available.

`pad2: AtkFunction`

  No description available.